[Support] binhex - SABnzbd


376 posts in this topic Last Reply

Recommended Posts

Signal 15 Caught, saving and exiting.

 

Hi.

 

After updating Unraid to 6.9.x (both 0 and 1)

 

I get an Warning every night with the message "Signal 15 Caught, Saving and Exiting"

 

I think it's related to the backup, but I never got it before 6.9 - Anyone else experiencing the same ?

 

I am running latest available Docker Image.

 

Edited by hummelmose
Link to post
  • Replies 375
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

I too updated the sabnzbd container today and now i cannot access it. Appears to be same as WonkoTheSane.   2017-05-24 19:40:34,503 DEBG 'sabnzbd' stderr output: 2017-05-24 19:40:34,503::ERRO

brawny had the answer in another thread that helped me. put simply, check  Local IPv4 address, under status and interface options (the wrench) in sabnzbd and make sure that they are the sam

Overview: Support for Docker image arch-sabnzbd in the binhex repo. Application: SABnzbd - http://sabnzbd.org/ Docker Hub: https://hub.docker.com/r/binhex/arch-sabnzbd/ GitHub: https://

Posted Images

Hopefully others will chime in and know what that error is.  If it were me, I would start eliminating possible causes.  First, turn off all dockers and leave off, and see if the error continue.  Try to pin it down to the specific docker, if that is even the issue.

 

I saw an older post from 2016 where the Signal 15 Caught, Saving and Exiting error was related to sabnzbd

 

Did you run the Fix Common Problems ?

Edited by optiman
Link to post

I cannot access the SAB GUI. I am running things through delugeVPN with PIA wireguard.

here is a portion of my log file:

https://pastebin.com/cXiZcNwm

All of my other containers running the same way (Radarr, Sonarr, Jacket) are all up and running no problem. Someone suggested it might be a bug and i'm not sure.

I am running the latest stable of all containers.

Edited by helpermonkey
Link to post
13 hours ago, optiman said:

Hopefully others will chime in and know what that error is.  If it were me, I would start eliminating possible causes.  First, turn off all dockers and leave off, and see if the error continue.  Try to pin it down to the specific docker, if that is even the issue.

 

I saw an older post from 2016 where the Signal 15 Caught, Saving and Exiting error was related to sabnzbd

 

Did you run the Fix Common Problems ?

 

Yes. I do believe it relates to the daily backup, since Signal 15 is an reaction to kill command - I didn't solve it, but just asked SABNZBD not to send warnings (since it was only a warning).

 

But it came in relation to upgrading UNRAID to 6.9.x, so maybe Unraid handles "kill()" differently.

Link to post
On 3/11/2021 at 5:50 PM, helpermonkey said:

I cannot access the SAB GUI. I am running things through delugeVPN with PIA wireguard.

here is a portion of my log file:

https://pastebin.com/cXiZcNwm

All of my other containers running the same way (Radarr, Sonarr, Jacket) are all up and running no problem. Someone suggested it might be a bug and i'm not sure.

I am running the latest stable of all containers.

@binhexwondering if you have any thoughts on this ... is it a bug or something else that may be unrelated to the container?

Link to post
23 hours ago, helpermonkey said:

@binhexwondering if you have any thoughts on this ... is it a bug or something else that may be unrelated to the container?

see delugevpn support thread, recommended post at the top.

Link to post

My install has been working fine for a while now, but when I checked it this morning im getting a lot of permission errors out of nowhere. Does anyone know what could cause this and how to fix it?

2021-03-25 10_08_03-Window - Copy.png

Link to post
3 hours ago, RedMoose said:

My install has been working fine for a while now, but when I checked it this morning im getting a lot of permission errors out of nowhere. Does anyone know what could cause this and how to fix it?

2021-03-25 10_08_03-Window - Copy.png

 

I poked at the server during lunch, it looks like the cache drive is failing and not allowing any new writes. Switching the /data/ share to use a different cache pool fixed the issue. 

Link to post
  • 2 weeks later...

Hello all,

Been running into an issue recently where SAB downloads get to 99% and then just hang. Queue Repair 9 times out of 10 corrects the issue. Can't really pinpoint when it started but seems to have since upgrading Unraid to 6.9. Any ideas?

 

Figured out the issue a lower priority server was throwing errors, removed the server and all is running smooth again.

Edited by Magaman
Link to post

Hi All

 

I hope someone can help me out?

 

I have successfully had this running with Sonarr & Radarr but now I am moving it to another where the download path is different

Is it possible to change the default /Data to /downloads/ looking at Sabnzd I can see that it says:

 

image.png.06d060d7f3ee17e67ca1cfdc4fad995d.png

 

And it would be easy to just change it in the Docker:

image.png.7a40408a20eac452a2ba0f5d067135ae.png

 

The reason I would like to change it is that I have a working setup "Remote Path Mappings"

So I need for all download clients to look in the same defined path

Hope this makes sence to some that might have the same setup?

 

 

 

 

Link to post
  • 1 month later...

Hey all,

 

Sab has been tweaking for quite some time now. (quite honestly everything has) but one thing at a time. 

 

It is constantly changing its IP on me and is throwing off Radarr and Sonarr. In the settings where you can change the host IP I have it set to 0.0.0.0. Maybe it's done on purpose or not but I can't actually change that value within the interface. And even stranger is what I see when I open the menu that I have attached. It says my local IP isnt 10.0.0.55 (which is the IP of my server). It says 172.17.0.8. AND EVEN WEIRDER is that the last digit changes every couple of days to 172.17.0.2. And then back again. 

 

Like I said, I am having problems with sonarr, radarr, and deluge. So I am trying to hit the low hanging fruit first before I have to get the ladder if you get what I mean.

 

I have heard some people change the IP to be the public one and just use duckdns so that way this issue never will happen. I'd love some help doing that if anyone knows...

 

I have also attached sabs settings page in unraid if it helps at all.

Capture.PNG

asdasd.PNG

Link to post
12 minutes ago, Zach_peterson4 said:

It is constantly changing its IP on me and is throwing off Radarr and Sonarr.

When you tell Radarr / Sonarr the IP address of Sab, you don't tell it the container's IP address.  You give it the HOST's IP address and applicable host port (8080).  The container's IP isn't particularly guaranteed to be anything and will change with updates etc.

Link to post
Posted (edited)

I've been using this container for years and it's been great!  Thanks first of all for all of them as I use quite a few!  Something has broken tho and I'm not sure where/what it is.  I was on the server yesterday messing with some commands for the chia container I had just installed and saw that SAB had just downloaded something, so I know it was working as late as yesterday afternoon.  This morning when I logged in I noticed the container was stopped which I thought was odd.  Trying to restart it resulted in an immediate "execution error" popup.  I tried looking at the logs but it looked like the container was dying before it even started.  Not sure what else to do I deleted the container thinking I would just download it again and everything would be fine, except when I try to pull down the container I am getting the following message and the pull fails.

 

 

Pulling image: binhex/arch-sabnzbd:latest

IMAGE ID [960334309]: Pulling from binhex/arch-sabnzbd.
IMAGE ID [701d67ccb854]: Already exists.
IMAGE ID [ebf9b61b3eda]: Already exists.
IMAGE ID [c295ce7a4387]: Already exists.
IMAGE ID [6295d38d4fc8]: Already exists.
IMAGE ID [61bd528f9496]: Already exists.
IMAGE ID [5ec61f70bff6]: Pulling fs layer.
IMAGE ID [02f939f4c3b7]: Pulling fs layer.
IMAGE ID [312948fc17be]: Pulling fs layer.

TOTAL DATA PULLED: 0 B

Error: open /var/lib/docker/tmp/GetImageBlob914982683: no such file or directory

 

 

**EDIT**  Nevermind, slowly over the course of today most of my containers stopped and would not restart.  It appears something was corrupted somehow, I deleted the docker directory and was able to pull down all my containers again.  Everything is back to 100% now...

 

Edited by rclifton
Link to post
Posted (edited)

Hello,

 

I'm pulling from the latest tag and this is the message I am seeing with the webui:

 

400 Bad Request

Illegal key 'lightstep_guid/lite-web'

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/cherrypy/_cprequest.py", line 734, in process_headers
    self.cookie.load(value)
  File "/usr/lib/python3.9/http/cookies.py", line 532, in load
    self.__parse_string(rawdata)
  File "/usr/lib/python3.9/http/cookies.py", line 596, in __parse_string
    self.__set(key, rval, cval)
  File "/usr/lib/python3.9/http/cookies.py", line 488, in __set
    M.set(key, real_value, coded_value)
  File "/usr/lib/python3.9/http/cookies.py", line 353, in set
    raise CookieError('Illegal key %r' % (key,))
http.cookies.CookieError: Illegal key 'lightstep_guid/lite-web'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/cherrypy/_cprequest.py", line 638, in respond
    self._do_respond(path_info)
  File "/usr/lib/python3.9/site-packages/cherrypy/_cprequest.py", line 666, in _do_respond
    self.process_headers()
  File "/usr/lib/python3.9/site-packages/cherrypy/_cprequest.py", line 736, in process_headers
    raise cherrypy.HTTPError(400, str(exc))
cherrypy._cperror.HTTPError: (400, "Illegal key 'lightstep_guid/lite-web'")

Powered by CherryPy 18.6.0 

Any steps I can take to alleviate this error?

I was able to fix the issue I was having. If you find this in the future, I used a Firefox extension "Cookie Quick Manager". (I also use the "Temporary Containers" and "Multi-Account Containers" extensions. I have all my unraid docker containers open in the same tab/category each time.) Using Cookie Quick Manager, I had to delete cookies that contained "lightstep_guid" and "lite-web".

Edited by 0x0x0x
I derped the formatting...AGAIN.
Link to post
  • 2 weeks later...

My volume mapping is data > mnt/cache/Downloads

 

Checking out that directory in MC, there was no dir called incomplete. I created one. Downloads started after clicking retry in SABnzbd.

 

Not sure if incomplete existed before, or downloads were occurring despite it not existing. I guess we'll never know. ;)

Link to post
Posted (edited)

Hello,

Today suddenly my Sabnzbd seems to be corrupted.
It does not scan the watched folder. And if I add something manually this is what I get:

 

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/cherrypy/_cprequest.py", line 638, in respond
    self._do_respond(path_info)
  File "/usr/lib/python3.9/site-packages/cherrypy/_cprequest.py", line 697, in _do_respond
    response.body = self.handler()
  File "/usr/lib/python3.9/site-packages/cherrypy/lib/encoding.py", line 219, in __call__
    self.body = self.oldhandler(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/cherrypy/_cpdispatch.py", line 54, in __call__
    return self.callable(*self.args, **self.kwargs)
  File "/usr/lib/sabnzbd/sabnzbd/interface.py", line 174, in internal_wrap
    return wrap_func(*args, **kwargs)
  File "/usr/lib/sabnzbd/sabnzbd/interface.py", line 483, in api
    return api_handler(kwargs)
  File "/usr/lib/sabnzbd/sabnzbd/api.py", line 99, in api_handler
    response = _api_table.get(mode, (_api_undefined, 2))[0](name, output, kwargs)
  File "/usr/lib/sabnzbd/sabnzbd/api.py", line 320, in _api_addfile
    res, nzo_ids = sabnzbd.add_nzbfile(
  File "/usr/lib/sabnzbd/sabnzbd/__init__.py", line 695, in add_nzbfile
    return nzbparser.process_nzb_archive_file(
  File "/usr/lib/sabnzbd/sabnzbd/nzbparser.py", line 204, in process_nzb_archive_file
    data = correct_unknown_encoding(zf.read(name))
  File "/usr/lib/sabnzbd/sabnzbd/utils/rarfile.py", line 811, in read
    with self.open(fname, "r", psw) as f:
  File "/usr/lib/sabnzbd/sabnzbd/utils/rarfile.py", line 792, in open
    raise PasswordRequired("File %s requires password" % inf.filename)
sabnzbd.utils.rarfile.PasswordRequired: File "MyFileName" requires password

 

 

What is wrong?

 

Added: In the meantime I uninstalled, reinstalled, tried other versions, it seems there is a problem with python on my Unraid. How do I cleanup and reinstall?

 

Edited by xtrips
Updated
Link to post

Hi,

 

I've had a new issue with SABNZBD for a few days now. I'm not entirely sure when is started, but for some reason, neither my Sonarr nor my Radarr containers are able to add downloads to SABNZBD. They are all on the same custom network, and both of them can ping the SABNZBD container both by IP and by hostname. If I try to test the connection from either, I get the following:

Test was aborted due to an error: Unable to connect to SABnzbd, HTTP request failed: [404:NotFound] [GET] at [http://binhex-sabnzbd.privnet:8080/api?mode=get_config&apikey=b1b1fef8618052945a437b277d54aa10&output=json]

 

Here is my configuration screen:

image.thumb.png.e9e5bcd57a6326604500e2758aea9060.png

 

I am also seeing the following warning in SABNZBD when I run the test:

image.thumb.png.5e7029f53f390eb97d2142e8a2c4984f.png

 

Slightly stumped where next to go with this one. Any ideas?

 

Thanks.

Link to post
On 6/4/2021 at 1:43 PM, xtrips said:

This place is deserted. Can I get some help Please?

im not sure what is causing your issue, you are probably better off raising a 'issue' for this on the sabnzbd github repo as they know their code a lot better than i do (obviously):- https://github.com/sabnzbd/sabnzbd/issues

Link to post
On 6/4/2021 at 1:50 PM, Lumpy_BD said:

this is a bit odd, as the hostname specified in your screenshot is binhex-sabnzbd NOT binhex-sabnzbd.privnet, try specifying ip address instead of hostname, you could also always try a restart of your system, perhaps something has screwed up your custom network.

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.